dt=evstr(x_dialog('pas de temps','0.1'));
deff('ydot=f(t,y)','ydot=[y(2);-y(1)-y(2)/(t+1E-10)]');
t0=0;y0=[1;0];tmax=20;t=t0:dt:tmax;
// methode de resolution avec ode
y=ode(y0,t0,t,f);
// methode de resolution avec Euler explicite
y2=y0;
for i=1:int(tmax/dt)
  y0=y0+dt*f((i-1)*dt,y0);y2=[y2,y0];
end
xbasc()
plot2d([t',t',t'],[y(1,:)',y2(1,:)',besselj(0,t)],[1,2,3],...
'121','solution ode@solution Euler@bessel0');
// calcul de la premire racine
//
i=2;
while(y(1,i)>0)
i=i+1;
end
fr=(t(i-1)*y(1,i)-t(i)*y(1,i-1))/(y(1,i)-y(1,i-1));
disp('premiere racine de J1:');
disp(fr);
//



